Package org.apache.sling.testing.mock.osgi

# Class DictionaryCollector<K,V>

java.lang.Object
org.apache.sling.testing.mock.osgi.DictionaryCollector<K,V>

All Implemented Interfaces:
  `Collector<Map.Entry<K,V>,Hashtable<K,V>,Dictionary<K,V>>`

public class DictionaryCollector<K,V> extends Object implements Collector<Map.Entry<K,V>,Hashtable<K,V>,Dictionary<K,V>>

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.stream.Collector

`Collector.Characteristics`

## Constructor Summary

Constructors
Constructor
Description
`DictionaryCollector(Function<? super Map.Entry<K,V>,? extends K> keyMapper, Function<? super Map.Entry<K,V>,? extends V> valueMapper)`

## Method Summary

Modifier and Type
Method
Description
`BiConsumer<Hashtable<K,V>,Map.Entry<K,V>>`
`accumulator()`
`Set<Collector.Characteristics>`
`characteristics()`
`BinaryOperator<Hashtable<K,V>>`
`combiner()`
`Function<Hashtable<K,V>,Dictionary<K,V>>`
`finisher()`
`Supplier<Hashtable<K,V>>`
`supplier()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DictionaryCollector

public DictionaryCollector(Function<? super Map.Entry<K,V>,? extends K> keyMapper, Function<? super Map.Entry<K,V>,? extends V> valueMapper)

## Method Details

### supplier

public Supplier<Hashtable<K,V>> supplier()

Specified by:
  `supplier` in interface `Collector<Map.Entry<K,V>,Hashtable<K,V>,Dictionary<K,V>>`

### accumulator

public BiConsumer<Hashtable<K,V>,Map.Entry<K,V>> accumulator()

Specified by:
  `accumulator` in interface `Collector<Map.Entry<K,V>,Hashtable<K,V>,Dictionary<K,V>>`

### combiner

public BinaryOperator<Hashtable<K,V>> combiner()

Specified by:
  `combiner` in interface `Collector<Map.Entry<K,V>,Hashtable<K,V>,Dictionary<K,V>>`

### finisher

public Function<Hashtable<K,V>,Dictionary<K,V>> finisher()

Specified by:
  `finisher` in interface `Collector<Map.Entry<K,V>,Hashtable<K,V>,Dictionary<K,V>>`

### characteristics

public Set<Collector.Characteristics> characteristics()

Specified by:
  `characteristics` in interface `Collector<Map.Entry<K,V>,Hashtable<K,V>,Dictionary<K,V>>`